.img-float{
	width: 250px;
	height: 250px;

	/* The float property can be set either to the left or right. This positioning will depend of the content or sibling of the element you are selecting.	*/
	float: right;

	/* You can use z-index property for the prioritization of the stack of your elements. You can use negative values for the elements that are usually stacked below, and positive values for elements stacked on top.	*/
	z-index: 1;
}

.parent-element{
	background-color: skyblue;
	padding: 10px;
	/* If the parent element has position: relative, then any children that have position: absolute will have their positions based on the parent instead of the whole page itself.	*/
	position: relative;
	height: 800vh;
	z-index: -1;
}

.child-one{
	background-color: gray;
	padding: 10px;
}

.child-two{
	background-color: yellow;
	padding: 10px;

	/* Static - This is the default positioning of any element. You CANNOT use the top, left, bottom, right properties for this position.*/
	/* Relative - This the opposite of static, wherein you can modify the top, left, bottom, and right properties to define the exact position of the element. And it also depends on the parent element.	*/
	/* Absolute - Instead of depending on the parent element, it depends on the whole page itself. And you can still modify the exact position by using top, left, bottom, and right properties.	*/
	/* Fixed - This will attach to the page itself and will not move regardless on if you scroll.	*/
	/* Sticky - This will be positioned relative by default but once it reaches a certain scroll point, then it will stick to the browser until it is back in its original position. The top property is crucial for it to be able to stick with spacing on the top.	*/
	/*position: absolute;
	left: 10px;
	bottom: 10px;*/
	position: sticky;
	top: 10px;
}

.child-three{
	background-color: indianred;
	padding: 10px;
}

/*To emulate a long scrolling page*/
html{
	height: 800vh;
}